package layouts

// |@@| C

import (
	"gardening/src/lib/kit"
	"gitlab.com/ccyrillee/kitcla/goc"
)

type VerticalLayout struct {
	Kit    *kit.Kit
	Layout *Layout
}

func (this *VerticalLayout) H(sections []goc.HTML, mod *LayoutMod) goc.HTML {
	mod.Content = this.content(sections)
	return this.Layout.H(mod)
}

func (this *VerticalLayout) content(sections []goc.HTML) goc.HTML {
	return this.Kit.Component.Cas("div",
		goc.Attr{"class": "mt-8 space-y-6"},
		sections...,
	)
}
